@import "../core/pallete.pcss";
@import "../core/typography.pcss";
@import "../core/variables.pcss";

:root {
  --input-min-width: 250px;
  --input-height: 35px;
  --input-padding-horizontal: 16px;
  --input-border: 0;
  --input-border-radius: 4px;
  --input-background-color: var(--color-white);

  --input-placeholder-color: var(--color-gray-dark);
}

.form-input {
  display: inline-block;
  min-width: var(--input-min-width);
  height: var(--input-height);
  padding-right: var(--input-padding-horizontal);
  padding-left: var(--input-padding-horizontal);
  border: var(--input-border);
  border-radius: var(--input-border-radius);
  background-color: var(--input-background-color);

  &::placeholder {
    color: var(--input-placeholder-color);
    transition: var(--transition);
  }

  &:focus {
    outline: none;

    &::placeholder {
      color: transparent;
    }
  }
}
